GeoTiffStrings (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class GeoTiffStrings

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.GeoTiffStrings

    public class GeoTiffStrings

extends java.lang.Object

This class contains indexed string arrays for the various keys that are used by GeoTIFF. It contains no code and never needs to be instantiated.

Field Summary
`static java.lang.String[]` | `ANGULARUNITS`
`static int[]` | `ANGULARUNITS_INDEX`
`static java.lang.String[]` | `COORDINATETRANSFORMATION`
`static int[]` | `COORDINATETRANSFORMATION_INDEX`
`static java.lang.String[]` | `ELLIPSOID`
`static int[]` | `ELLIPSOID_INDEX`
`static java.lang.String[]` | `GEODETICDATUM`
`static int[]` | `GEODETICDATUM_INDEX`
`static java.lang.String[]` | `GEOGRAPHICS`
`static int[]` | `GEOGRAPHICS_INDEX`
`static java.lang.String[]` | `LINEARUNITS`
`static int[]` | `LINEARUNITS_INDEX`
`static java.lang.String[]` | `MODELTYPE`
`static int[]` | `MODELTYPE_INDEX`
`static java.lang.String[]` | `PRIMEMERIDIAN`
`static int[]` | `PRIMEMERIDIAN_INDEX`
`static java.lang.String[]` | `PROJECTEDCSTYPE`
`static int[]` | `PROJECTEDCSTYPE_INDEX`
`static java.lang.String[]` | `PROJECTION`
`static int[]` | `PROJECTION_INDEX`
`static java.lang.String[]` | `RASTERTYPE`
`static int[]` | `RASTERTYPE_INDEX`
`static java.lang.String[]` | `VERTICALCSDATUM`
`static int[]` | `VERTICALCSDATUM_INDEX`
`static java.lang.String[]` | `VERTICALCSTYPE`
`static int[]` | `VERTICALCSTYPE_INDEX`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODELTYPE_INDEX

    public static final int[] MODELTYPE_INDEX

### MODELTYPE

    public static final java.lang.String[] MODELTYPE

### RASTERTYPE_INDEX

    public static final int[] RASTERTYPE_INDEX

### RASTERTYPE

    public static final java.lang.String[] RASTERTYPE

### LINEARUNITS_INDEX

    public static final int[] LINEARUNITS_INDEX

### LINEARUNITS

    public static final java.lang.String[] LINEARUNITS

### ANGULARUNITS_INDEX

    public static final int[] ANGULARUNITS_INDEX

### ANGULARUNITS

    public static final java.lang.String[] ANGULARUNITS

### GEOGRAPHICS_INDEX

    public static final int[] GEOGRAPHICS_INDEX

### GEOGRAPHICS

    public static final java.lang.String[] GEOGRAPHICS

### GEODETICDATUM_INDEX

    public static final int[] GEODETICDATUM_INDEX

### GEODETICDATUM

    public static final java.lang.String[] GEODETICDATUM

### ELLIPSOID_INDEX

    public static final int[] ELLIPSOID_INDEX

### ELLIPSOID

    public static final java.lang.String[] ELLIPSOID

### PRIMEMERIDIAN_INDEX

    public static final int[] PRIMEMERIDIAN_INDEX

### PRIMEMERIDIAN

    public static final java.lang.String[] PRIMEMERIDIAN

### PROJECTEDCSTYPE_INDEX

    public static final int[] PROJECTEDCSTYPE_INDEX

### PROJECTEDCSTYPE

    public static final java.lang.String[] PROJECTEDCSTYPE

### PROJECTION_INDEX

    public static final int[] PROJECTION_INDEX

### PROJECTION

    public static final java.lang.String[] PROJECTION

### COORDINATETRANSFORMATION_INDEX

    public static final int[] COORDINATETRANSFORMATION_INDEX

### COORDINATETRANSFORMATION

    public static final java.lang.String[] COORDINATETRANSFORMATION

### VERTICALCSTYPE_INDEX

    public static final int[] VERTICALCSTYPE_INDEX

### VERTICALCSTYPE

    public static final java.lang.String[] VERTICALCSTYPE

### VERTICALCSDATUM_INDEX

    public static final int[] VERTICALCSDATUM_INDEX

### VERTICALCSDATUM

    public static final java.lang.String[] VERTICALCSDATUM

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD